Subject: [Jsonpath] Comment on current draft: wildcard with bracket notation

From: Daniel P <[email-masked]>
Date: Wed, 3 Mar 2021 21:41:05 -0500

The draft gives examples of using a wildcard with the bracket
notation, e.g. $.store.book[*].author, but unless I've missed it, I
don't see it covered in the grammar.

The simplest solution would be to treat it symmetrically as a union
element, i.e.

union-element =/ "[" "*" "]"

Not that a query like

$.store.book[*,*]

makes much sense, but some implementations support that, e.g. Goessner.

Is the plan to also support filters and expressions as union elements?

Referring to https://cburgmer.github.io/json-path-comparison/results/union_with_filter.html,
six out of 41 implementations support union with filter elements. My
current view is that it makes sense to treat everything symmetrically.

Daniel